## org.apache.xml.dtm.ref.sax2dtm
Class SAX2DTM2.TypedPrecedingSiblingIterator

    java.lang.Object
      org.apache.xml.dtm.ref.DTMAxisIteratorBase
          org.apache.xml.dtm.ref.DTMDefaultBaseIterators.InternalAxisIteratorBase
              org.apache.xml.dtm.ref.sax2dtm.SAX2DTM2.PrecedingSiblingIterator
                  org.apache.xml.dtm.ref.sax2dtm.SAX2DTM2.TypedPrecedingSiblingIterator

All Implemented Interfaces:
  java.lang.Cloneable, DTMAxisIterator

Enclosing class:
  SAX2DTM2

    public final class SAX2DTM2.TypedPrecedingSiblingIterator

extends SAX2DTM2.PrecedingSiblingIterator

Iterator that returns preceding siblings of a given type for a given node

Field Summary

Fields inherited from interface org.apache.xml.dtm.DTMAxisIterator
`END`

Constructor Summary
`SAX2DTM2.TypedPrecedingSiblingIterator(int type)` Constructor TypedPrecedingSiblingIterator

Method Summary
`int` `getLast()` Return the index of the last node in this iterator.
`int` `next()` Get the next node in the iteration.

Methods inherited from class org.apache.xml.dtm.ref.sax2dtm.SAX2DTM2.PrecedingSiblingIterator
`isReverse, setStartNode`

Methods inherited from class org.apache.xml.dtm.ref.DTMDefaultBaseIterators.InternalAxisIteratorBase
`gotoMark, setMark`

Methods inherited from class org.apache.xml.dtm.ref.DTMAxisIteratorBase
`cloneIterator, getAxis, getNodeByPosition, getPosition, getStartNode, includeSelf, isDocOrdered, reset, setRestartable`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAX2DTM2.TypedPrecedingSiblingIterator

    public SAX2DTM2.TypedPrecedingSiblingIterator(int type)

  Constructor TypedPrecedingSiblingIterator

  Parameters:
    `type` - The extended type ID being requested.

Method Detail

### next

    public int next()

  Get the next node in the iteration.

  Specified by:
    `next` in interface `DTMAxisIterator`
  Overrides:
    `next` in class `SAX2DTM2.PrecedingSiblingIterator`
  Returns:
    The next node handle in the iteration, or END.

### getLast

    public int getLast()

  Return the index of the last node in this iterator.

  Specified by:
    `getLast` in interface `DTMAxisIterator`
  Overrides:
    `getLast` in class `DTMAxisIteratorBase`
  Returns:
    The number of nodes in this iterator (forward) or 1 (reverse).

Copyright © 2005 Apache XML Project. All Rights Reserved.